Bug 855684 - SELinux is preventing /usr/bin/python2.7 from 'search' accesses on the directory /root/.local.
SELinux is preventing /usr/bin/python2.7 from 'search' accesses on the direct...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:9f61895b342a0233e83a3a59708...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-09 19:11 EDT by WhoEver
Modified: 2012-11-19 21:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-19 21:57:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description WhoEver 2012-09-09 19:11:38 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.4.9-1.fc16.i686.debug
time:           Sun 09 Sep 2012 04:10:21 PM PDT

description:
:SELinux is preventing /usr/bin/python2.7 from 'search' accesses on the directory /root/.local.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that python2.7 should be allowed search access on the .local directory by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep rhsmcertd-worke /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:rhsmcertd_t:s0
:Target Context                unconfined_u:object_r:gconf_home_t:s0
:Target Objects                /root/.local [ dir ]
:Source                        rhsmcertd-worke
:Source Path                   /usr/bin/python2.7
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           python-2.7.3-4.fc16.i686
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-91.fc16.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.4.9-2.fc16.i686.PAEdebug #1 SMP
:                              Thu Aug 23 18:06:57 UTC 2012 i686 i686
:Alert Count                   2
:First Seen                    Tue 04 Sep 2012 09:39:30 PM PDT
:Last Seen                     Wed 05 Sep 2012 05:52:05 PM PDT
:Local ID                      b66300e2-9cd9-459e-948b-0ef2b287896c
:
:Raw Audit Messages
:type=AVC msg=audit(1346892725.833:6866): avc:  denied  { search } for  pid=2309 comm="rhsmcertd-worke" name=".local" dev="dm-2" ino=1312318 scontext=system_u:system_r:rhsmcertd_t:s0 tcontext=unconfined_u:object_r:gconf_home_t:s0 tclass=dir
:
:
:type=SYSCALL msg=audit(1346892725.833:6866): arch=i386 syscall=stat64 success=no exit=ENOENT a0=8e72b90 a1=bfb5909c a2=43d5aff4 a3=8e72b90 items=0 ppid=1964 pid=2309 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=rhsmcertd-worke exe=/usr/bin/python2.7 subj=system_u:system_r:rhsmcertd_t:s0 key=(null)
:
:Hash: rhsmcertd-worke,rhsmcertd_t,gconf_home_t,dir,search
:
:audit2allow
:
:#============= rhsmcertd_t ==============
:allow rhsmcertd_t gconf_home_t:dir search;
:
:audit2allow -R
:
:#============= rhsmcertd_t ==============
:allow rhsmcertd_t gconf_home_t:dir search;
:
Comment 1 Miroslav Grepl 2012-09-10 02:15:08 EDT
Dontaudited in selinux-policy-3.10.0-92.fc16.noarch
Comment 2 Fedora Update System 2012-11-13 13:29:46 EST
selinux-policy-3.10.0-96.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-96.fc16
Comment 3 Fedora Update System 2012-11-14 21:42:52 EST
Package selinux-policy-3.10.0-96.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-96.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-18243/selinux-policy-3.10.0-96.fc16
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-11-19 21:58:01 EST
selinux-policy-3.10.0-96.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.